Bug 171280 - faxspool does not honour -t hh:mm-hh:mm arguments
faxspool does not honour -t hh:mm-hh:mm arguments
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: mgetty (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Nagy
: Patch, Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-20 07:15 EDT by Cipriano Groenendal
Modified: 2016-07-26 19:46 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-10 09:59:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to make -t work as expected (2.70 KB, patch)
2008-04-04 13:46 EDT, Martin Nagy
no flags Details | Diff

  None (edit)
Description Cipriano Groenendal 2005-10-20 07:15:20 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1; InfoPath.1; .NET CLR 1.1.4322)

Description of problem:
The /usr/bin/faxspool program's help states:
  -t <hh:mm>      set earliest possible send time
  -t <hh:mm-hh:mm> set time range for sending fax

However, the program only handles the initial -t version, and when provided with a range it claims the inputted time is wrong.

Version-Release number of selected component (if applicable):
mgetty-sendfax-1.1.33-3_FC4

How reproducible:
Always

Steps to Reproduce:
Run /usr/bin/faxspool -t 18:00-08:00 555-0123 testfax

Actual Results:  faxspool exits with 'Time must be in <hh:mm> format.'


Expected Results:  Faxspool should queue the fax with the correct delay.

Additional info:
Comment 1 Christian Iseli 2007-01-19 19:47:18 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 2 petrosyan 2008-03-09 17:39:17 EDT
Fedora Core 4 is no longer maintained.

Setting status to "INSUFFICIENT_DATA". If you can reproduce this bug in the
current Fedora release, please reopen this bug and assign it to the
corresponding Fedora version.
Comment 3 Martin Nagy 2008-03-10 08:26:17 EDT
Reopening - reproducible on F-8. Sorry, this seems to have fallen through the
cracks.
Comment 4 Martin Nagy 2008-04-04 13:46:22 EDT
Created attachment 301316 [details]
Patch to make -t work as expected

This patch works it out for me, but I haven't tested it extensively, could you
please try it?
Comment 5 Martin Nagy 2008-04-10 09:59:08 EDT
Fixed in mgetty-1.1.36-1.fc10

Note You need to log in before you can comment on or make changes to this bug.